package com.ematou.wxbase.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

/**
 * @author lhm
 * @version 1.0
 * 2021-04-30 11:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class OperationRecord {

    private Integer opId;// 主键
    private String appCode;// 应用编码
    private String merchSn;// 商户号
    private String tokenType;// token 类型, 0:微信 token,1:E证通 token
    private String createrSn;// 创建人编号
    private String createTime;// 创建时间
    private String moderSn;// 修改人编号
    private String modTime;// 修改时间
    private Timestamp tstm;// 时间戳

    @Override
    public String toString() {
        return "OperationRecord{" +
                "opId=" + opId +
                ", appCode='" + appCode + '\'' +
                ", createrSn='" + createrSn + '\'' +
                ", createTime='" + createTime + '\'' +
                ", moderSn='" + moderSn + '\'' +
                ", modTime='" + modTime + '\'' +
                ", tstm=" + tstm +
                '}';
    }
}
