package com.ematou.wxbase.entity.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * E证通请求 DTO
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/19 10:28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class EidTokenRequestDTO implements Serializable {

    /**
     * 商户号
     */
    private String merchSn;

    /**
     * 应用编码
     */
    private String appCode;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 用户身份证
     */
    private String idCard;



}
