package com.ematou.wxbase;

import com.ematou.wxbase.entity.MerchApp;
import com.ematou.wxbase.mapper.MerchAppMapper;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import javax.annotation.Resource;

/**
 * 商户应用 Mapper 测试类
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/18 17:35
 */
@SpringBootTest
public class MerchAppMapperTest {

    @Resource
    private MerchAppMapper mapper;

    @Test
    public void testSelect() {
        MerchApp merchApp = new MerchApp();
        merchApp.setMerchSn("mhbs990053989883052032");
        merchApp.setAppCode("Kmall-cw");
        System.out.println(mapper.selectByCondition(merchApp));
    }

}
