package com.ematou.wxbase.controller;

import com.ematou.wxbase.common.web.R;
import com.ematou.wxbase.entity.dto.EidTokenRequestDTO;
import com.ematou.wxbase.service.EidService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * E证通业务 Controller
 *
 * @author frankeleyn
 * @email lvjian@qhdswl.com
 * @date 2023/2/18 16:58
 */
@RestController
@RequestMapping("/eid")
public class EidController {

    @Autowired
    private EidService eidService;

    @PostMapping("/getEidToken")
    public R getEidToken(@RequestBody EidTokenRequestDTO requestDTO) {
        return eidService.getEidToken(requestDTO);
    }

    @GetMapping("/getEidResult")
    public R getEidResult() {
        return eidService.getEidResult();
    }

}
